---
title: Update a user's membership attributes on a team
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Teams
---

# Update a user's membership attributes on a team{% #update-a-users-membership-attributes-on-a-team %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/team/{team_id}/memberships/{user_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/team/{team_id}/memberships/{user_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/team/{team_id}/memberships/{user_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/team/{team_id}/memberships/{user_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/team/{team_id}/memberships/{user_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/team/{team_id}/memberships/{user_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/team/{team_id}/memberships/{user_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/team/{team_id}/memberships/{user_id} |

### Overview



Update a user's membership attributes on a team.

**Note**: Each team has a setting that determines who is allowed to modify membership of the team. The `user_access_manage` permission generally grants access to modify membership of any team. To get the full picture, see [Team Membership documentation](https://docs.datadoghq.com/account_management/teams/manage.md#team-membership).
This endpoint requires the `teams_read` permission.
OAuth apps require the `teams_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#teams) to access this endpoint.



### Arguments

#### Path Parameters

| Name                      | Type   | Description |
| ------------------------- | ------ | ----------- |
| team_id [*required*] | string | None        |
| user_id [*required*] | string | None        |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                  | Type   | Description                                                                                                                                                                                                       |
| ------------ | ---------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*] | object | A user's relationship with a team                                                                                                                                                                                 |
| data         | attributes             | object | Team membership attributes                                                                                                                                                                                        |
| attributes   | provisioned_by         | string | The mechanism responsible for provisioning the team relationship. Possible values: null for added by a user, "service_account" if added by a service account, and "saml_mapping" if provisioned via SAML mapping. |
| attributes   | provisioned_by_id      | string | UUID of the User or Service Account who provisioned this team membership, or null if provisioned via SAML mapping.                                                                                                |
| attributes   | role                   | enum   | The user's role within the team Allowed enum values: `admin`                                                                                                                                                      |
| data         | type [*required*] | enum   | Team membership type Allowed enum values: `team_memberships`                                                                                                                                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "role": "admin"
    },
    "type": "team_memberships"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Team membership response

| Parent field          | Field                        | Type            | Description                                                                                                                                                                                                       |
| --------------------- | ---------------------------- | --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                       | data                         | object          | A user's relationship with a team                                                                                                                                                                                 |
| data                  | attributes                   | object          | Team membership attributes                                                                                                                                                                                        |
| attributes            | provisioned_by               | string          | The mechanism responsible for provisioning the team relationship. Possible values: null for added by a user, "service_account" if added by a service account, and "saml_mapping" if provisioned via SAML mapping. |
| attributes            | provisioned_by_id            | string          | UUID of the User or Service Account who provisioned this team membership, or null if provisioned via SAML mapping.                                                                                                |
| attributes            | role                         | enum            | The user's role within the team Allowed enum values: `admin`                                                                                                                                                      |
| data                  | id [*required*]         | string          | The ID of a user's relationship with a team                                                                                                                                                                       |
| data                  | relationships                | object          | Relationship between membership and a user                                                                                                                                                                        |
| relationships         | team                         | object          | Relationship between team membership and team                                                                                                                                                                     |
| team                  | data [*required*]       | object          | The team associated with the membership                                                                                                                                                                           |
| data                  | id [*required*]         | string          | The ID of the team associated with the membership                                                                                                                                                                 |
| data                  | type [*required*]       | enum            | User team team type Allowed enum values: `team`                                                                                                                                                                   |
| relationships         | user                         | object          | Relationship between team membership and user                                                                                                                                                                     |
| user                  | data [*required*]       | object          | A user's relationship with a team                                                                                                                                                                                 |
| data                  | id [*required*]         | string          | The ID of the user associated with the team                                                                                                                                                                       |
| data                  | type [*required*]       | enum            | User team user type Allowed enum values: `users`                                                                                                                                                                  |
| data                  | type [*required*]       | enum            | Team membership type Allowed enum values: `team_memberships`                                                                                                                                                      |
|                       | included                     | [ <oneOf>] | Resources related to the team memberships                                                                                                                                                                         |
| included              | Option 1                     | object          | User object returned by the API.                                                                                                                                                                                  |
| Option 1              | attributes                   | object          | Attributes of user object returned by the API.                                                                                                                                                                    |
| attributes            | created_at                   | date-time       | The ISO 8601 timestamp of when the user account was created.                                                                                                                                                      |
| attributes            | disabled                     | boolean         | Whether the user account is deactivated. Disabled users cannot log in.                                                                                                                                            |
| attributes            | email                        | string          | The email address of the user, used for login and notifications.                                                                                                                                                  |
| attributes            | handle                       | string          | The unique handle (username) of the user, typically matching their email prefix.                                                                                                                                  |
| attributes            | icon                         | string          | URL of the user's profile icon, typically a Gravatar URL derived from the email address.                                                                                                                          |
| attributes            | last_login_time              | date-time       | The ISO 8601 timestamp of the user's most recent login, or null if the user has never logged in.                                                                                                                  |
| attributes            | mfa_enabled                  | boolean         | Whether multi-factor authentication (MFA) is enabled for the user's account.                                                                                                                                      |
| attributes            | modified_at                  | date-time       | The ISO 8601 timestamp of when the user account was last modified.                                                                                                                                                |
| attributes            | name                         | string          | The full display name of the user as shown in the Datadog UI.                                                                                                                                                     |
| attributes            | service_account              | boolean         | Whether this is a service account rather than a human user. Service accounts are used for programmatic API access.                                                                                                |
| attributes            | status                       | string          | The current status of the user account (for example, `Active`, `Pending`, or `Disabled`).                                                                                                                         |
| attributes            | title                        | string          | The job title of the user (for example, "Senior Engineer" or "Product Manager").                                                                                                                                  |
| attributes            | uuid                         | string          | The globally unique identifier (UUID) of the user.                                                                                                                                                                |
| attributes            | verified                     | boolean         | Whether the user's email address has been verified.                                                                                                                                                               |
| Option 1              | id                           | string          | ID of the user.                                                                                                                                                                                                   |
| Option 1              | relationships                | object          | Relationships of the user object returned by the API.                                                                                                                                                             |
| relationships         | org                          | object          | Relationship to an organization.                                                                                                                                                                                  |
| org                   | data [*required*]       | object          | Relationship to organization object.                                                                                                                                                                              |
| data                  | id [*required*]         | string          | ID of the organization.                                                                                                                                                                                           |
| data                  | type [*required*]       | enum            | Organizations resource type. Allowed enum values: `orgs`                                                                                                                                                          |
| relationships         | other_orgs                   | object          | Relationship to organizations.                                                                                                                                                                                    |
| other_orgs            | data [*required*]       | [object]        | Relationships to organization objects.                                                                                                                                                                            |
| data                  | id [*required*]         | string          | ID of the organization.                                                                                                                                                                                           |
| data                  | type [*required*]       | enum            | Organizations resource type. Allowed enum values: `orgs`                                                                                                                                                          |
| relationships         | other_users                  | object          | Relationship to users.                                                                                                                                                                                            |
| other_users           | data [*required*]       | [object]        | Relationships to user objects.                                                                                                                                                                                    |
| data                  | id [*required*]         | string          | A unique identifier that represents the user.                                                                                                                                                                     |
| data                  | type [*required*]       | enum            | Users resource type. Allowed enum values: `users`                                                                                                                                                                 |
| relationships         | roles                        | object          | Relationship to roles.                                                                                                                                                                                            |
| roles                 | data                         | [object]        | An array containing type and the unique identifier of a role.                                                                                                                                                     |
| data                  | id                           | string          | The unique identifier of the role.                                                                                                                                                                                |
| data                  | type                         | enum            | Roles type. Allowed enum values: `roles`                                                                                                                                                                          |
| Option 1              | type                         | enum            | Users resource type. Allowed enum values: `users`                                                                                                                                                                 |
| included              | Option 2                     | object          | A team                                                                                                                                                                                                            |
| Option 2              | attributes [*required*] | object          | Team attributes                                                                                                                                                                                                   |
| attributes            | avatar                       | string          | Unicode representation of the avatar for the team, limited to a single grapheme                                                                                                                                   |
| attributes            | banner                       | int64           | Banner selection for the team                                                                                                                                                                                     |
| attributes            | created_at                   | date-time       | Creation date of the team                                                                                                                                                                                         |
| attributes            | description                  | string          | Free-form markdown description/content for the team's homepage                                                                                                                                                    |
| attributes            | handle [*required*]     | string          | The team's identifier                                                                                                                                                                                             |
| attributes            | hidden_modules               | [string]        | Collection of hidden modules for the team                                                                                                                                                                         |
| attributes            | is_managed                   | boolean         | Whether the team is managed from an external source                                                                                                                                                               |
| attributes            | link_count                   | int32           | The number of links belonging to the team                                                                                                                                                                         |
| attributes            | modified_at                  | date-time       | Modification date of the team                                                                                                                                                                                     |
| attributes            | name [*required*]       | string          | The name of the team                                                                                                                                                                                              |
| attributes            | summary                      | string          | A brief summary of the team, derived from the `description`                                                                                                                                                       |
| attributes            | user_count                   | int32           | The number of users belonging to the team                                                                                                                                                                         |
| attributes            | visible_modules              | [string]        | Collection of visible modules for the team                                                                                                                                                                        |
| Option 2              | id [*required*]         | string          | The team's identifier                                                                                                                                                                                             |
| Option 2              | relationships                | object          | Resources related to a team                                                                                                                                                                                       |
| relationships         | team_links                   | object          | Relationship between a team and a team link                                                                                                                                                                       |
| team_links            | data                         | [object]        | Related team links                                                                                                                                                                                                |
| data                  | id [*required*]         | string          | The team link's identifier                                                                                                                                                                                        |
| data                  | type [*required*]       | enum            | Team link type Allowed enum values: `team_links`                                                                                                                                                                  |
| team_links            | links                        | object          | Links attributes.                                                                                                                                                                                                 |
| links                 | related                      | string          | Related link.                                                                                                                                                                                                     |
| relationships         | user_team_permissions        | object          | Relationship between a user team permission and a team                                                                                                                                                            |
| user_team_permissions | data                         | object          | Related user team permission data                                                                                                                                                                                 |
| data                  | id [*required*]         | string          | The ID of the user team permission                                                                                                                                                                                |
| data                  | type [*required*]       | enum            | User team permission type Allowed enum values: `user_team_permissions`                                                                                                                                            |
| user_team_permissions | links                        | object          | Links attributes.                                                                                                                                                                                                 |
| links                 | related                      | string          | Related link.                                                                                                                                                                                                     |
| Option 2              | type [*required*]       | enum            | Team type Allowed enum values: `team`                                                                                                                                                                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "provisioned_by": "string",
      "provisioned_by_id": "string",
      "role": "string"
    },
    "id": "TeamMembership-aeadc05e-98a8-11ec-ac2c-da7ad0900001-38835",
    "relationships": {
      "team": {
        "data": {
          "id": "d7e15d9d-d346-43da-81d8-3d9e71d9a5e9",
          "type": "team"
        }
      },
      "user": {
        "data": {
          "id": "b8626d7e-cedd-11eb-abf5-da7ad0900001",
          "type": "users"
        }
      }
    },
    "type": "team_memberships"
  },
  "included": [
    {
      "attributes": {
        "created_at": "2019-09-19T10:00:00.000Z",
        "disabled": false,
        "email": "string",
        "handle": "string",
        "icon": "string",
        "last_login_time": "2019-09-19T10:00:00.000Z",
        "mfa_enabled": false,
        "modified_at": "2019-09-19T10:00:00.000Z",
        "name": "string",
        "service_account": false,
        "status": "string",
        "title": "string",
        "uuid": "string",
        "verified": false
      },
      "id": "string",
      "relationships": {
        "org": {
          "data": {
            "id": "00000000-0000-beef-0000-000000000000",
            "type": "orgs"
          }
        },
        "other_orgs": {
          "data": [
            {
              "id": "00000000-0000-beef-0000-000000000000",
              "type": "orgs"
            }
          ]
        },
        "other_users": {
          "data": [
            {
              "id": "00000000-0000-0000-2345-000000000000",
              "type": "users"
            }
          ]
        },
        "roles": {
          "data": [
            {
              "id": "3653d3c6-0c75-11ea-ad28-fb5701eabc7d",
              "type": "roles"
            }
          ]
        }
      },
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
API error response.
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
API error response.
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export team_id="CHANGE_ME" export user_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/team/${team_id}/memberships/${user_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "role": "admin"
    },
    "type": "team_memberships"
  }
}
EOF 
                        
##### 

```go
// Update a user's membership attributes on a team returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "dd_team" in the system
	DdTeamDataID := os.Getenv("DD_TEAM_DATA_ID")

	// there is a valid "user" in the system
	UserDataID := os.Getenv("USER_DATA_ID")

	body := datadogV2.UserTeamUpdateRequest{
		Data: datadogV2.UserTeamUpdate{
			Attributes: &datadogV2.UserTeamAttributes{
				Role: *datadogV2.NewNullableUserTeamRole(datadogV2.USERTEAMROLE_ADMIN.Ptr()),
			},
			Type: datadogV2.USERTEAMTYPE_TEAM_MEMBERSHIPS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewTeamsApi(apiClient)
	resp, r, err := api.UpdateTeamMembership(ctx, DdTeamDataID, UserDataID, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsApi.UpdateTeamMembership`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `TeamsApi.UpdateTeamMembership`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update a user's membership attributes on a team returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.TeamsApi;
import com.datadog.api.client.v2.model.UserTeamAttributes;
import com.datadog.api.client.v2.model.UserTeamResponse;
import com.datadog.api.client.v2.model.UserTeamRole;
import com.datadog.api.client.v2.model.UserTeamType;
import com.datadog.api.client.v2.model.UserTeamUpdate;
import com.datadog.api.client.v2.model.UserTeamUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    TeamsApi apiInstance = new TeamsApi(defaultClient);

    // there is a valid "dd_team" in the system
    String DD_TEAM_DATA_ID = System.getenv("DD_TEAM_DATA_ID");

    // there is a valid "user" in the system
    String USER_DATA_ID = System.getenv("USER_DATA_ID");

    UserTeamUpdateRequest body =
        new UserTeamUpdateRequest()
            .data(
                new UserTeamUpdate()
                    .attributes(new UserTeamAttributes().role(UserTeamRole.ADMIN))
                    .type(UserTeamType.TEAM_MEMBERSHIPS));

    try {
      UserTeamResponse result =
          apiInstance.updateTeamMembership(DD_TEAM_DATA_ID, USER_DATA_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling TeamsApi#updateTeamMembership");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Update a user's membership attributes on a team returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.teams_api import TeamsApi
from datadog_api_client.v2.model.user_team_attributes import UserTeamAttributes
from datadog_api_client.v2.model.user_team_role import UserTeamRole
from datadog_api_client.v2.model.user_team_type import UserTeamType
from datadog_api_client.v2.model.user_team_update import UserTeamUpdate
from datadog_api_client.v2.model.user_team_update_request import UserTeamUpdateRequest

# there is a valid "dd_team" in the system
DD_TEAM_DATA_ID = environ["DD_TEAM_DATA_ID"]

# there is a valid "user" in the system
USER_DATA_ID = environ["USER_DATA_ID"]

body = UserTeamUpdateRequest(
    data=UserTeamUpdate(
        attributes=UserTeamAttributes(
            role=UserTeamRole.ADMIN,
        ),
        type=UserTeamType.TEAM_MEMBERSHIPS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = TeamsApi(api_client)
    response = api_instance.update_team_membership(team_id=DD_TEAM_DATA_ID, user_id=USER_DATA_ID, body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update a user's membership attributes on a team returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::TeamsAPI.new

# there is a valid "dd_team" in the system
DD_TEAM_DATA_ID = ENV["DD_TEAM_DATA_ID"]

# there is a valid "user" in the system
USER_DATA_ID = ENV["USER_DATA_ID"]

body = DatadogAPIClient::V2::UserTeamUpdateRequest.new({
  data: DatadogAPIClient::V2::UserTeamUpdate.new({
    attributes: DatadogAPIClient::V2::UserTeamAttributes.new({
      role: DatadogAPIClient::V2::UserTeamRole::ADMIN,
    }),
    type: DatadogAPIClient::V2::UserTeamType::TEAM_MEMBERSHIPS,
  }),
})
p api_instance.update_team_membership(DD_TEAM_DATA_ID, USER_DATA_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Update a user's membership attributes on a team returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_teams::TeamsAPI;
use datadog_api_client::datadogV2::model::UserTeamAttributes;
use datadog_api_client::datadogV2::model::UserTeamRole;
use datadog_api_client::datadogV2::model::UserTeamType;
use datadog_api_client::datadogV2::model::UserTeamUpdate;
use datadog_api_client::datadogV2::model::UserTeamUpdateRequest;

#[tokio::main]
async fn main() {
    // there is a valid "dd_team" in the system
    let dd_team_data_id = std::env::var("DD_TEAM_DATA_ID").unwrap();

    // there is a valid "user" in the system
    let user_data_id = std::env::var("USER_DATA_ID").unwrap();
    let body = UserTeamUpdateRequest::new(
        UserTeamUpdate::new(UserTeamType::TEAM_MEMBERSHIPS)
            .attributes(UserTeamAttributes::new().role(Some(UserTeamRole::ADMIN))),
    );
    let configuration = datadog::Configuration::new();
    let api = TeamsAPI::with_config(configuration);
    let resp = api
        .update_team_membership(dd_team_data_id.clone(), user_data_id.clone(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update a user's membership attributes on a team returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.TeamsApi(configuration);

// there is a valid "dd_team" in the system
const DD_TEAM_DATA_ID = process.env.DD_TEAM_DATA_ID as string;

// there is a valid "user" in the system
const USER_DATA_ID = process.env.USER_DATA_ID as string;

const params: v2.TeamsApiUpdateTeamMembershipRequest = {
  body: {
    data: {
      attributes: {
        role: "admin",
      },
      type: "team_memberships",
    },
  },
  teamId: DD_TEAM_DATA_ID,
  userId: USER_DATA_ID,
};

apiInstance
  .updateTeamMembership(params)
  .then((data: v2.UserTeamResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
